#ifndef _Handle_PGeom_BSplineSurface_HeaderFile
#define _Handle_PGeom_BSplineSurface_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_BoundedSurface_HeaderFile
#include <Handle_PGeom_BoundedSurface.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_BoundedSurface);
class PGeom_BSplineSurface;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_BSplineSurface);

class Handle(PGeom_BSplineSurface) : public Handle(PGeom_BoundedSurface) {
  public:

    Handle(PGeom_BSplineSurface)():Handle(PGeom_BoundedSurface)() {} 
    Handle(PGeom_BSplineSurface)(const Handle(PGeom_BSplineSurface)& aHandle) : Handle(PGeom_BoundedSurface)(aHandle) 
     {
     }

    Handle(PGeom_BSplineSurface)(const PGeom_BSplineSurface* anItem) : Handle(PGeom_BoundedSurface)((PGeom_BoundedSurface *)anItem) 
     {
     }

    Handle(PGeom_BSplineSurface)& operator=(const Handle(PGeom_BSplineSurface)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_BSplineSurface)& operator=(const PGeom_BSplineSurface* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_BSplineSurface* operator->() const 
     {
      return (PGeom_BSplineSurface *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_BSplineSurface) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
